/*  This file is part of the KDE semantic clipboard
    Copyright (C) 2008 Tobias Wolf <twolf@access.unizh.ch>

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library; see the file COPYING.LIB.  If not, write to
    the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
    Boston, MA 02110-1301, USA.
*/

#include "graphtransformer.h"

SemClip::GraphTransformer::GraphTransformer()
    : m_graph( 0 )
{
}

SemClip::GraphTransformer::~GraphTransformer()
{
}

void SemClip::GraphTransformer::setModel( Soprano::Model* model )
{
    m_graph = model;
}

void SemClip::GraphTransformer::setTransformation( const void* transformation )
{
    setSpecificTransformation( transformation );
}
